#include "mbed.h"
#include "USBMIDI.h"
#include "USBSerial.h"

DigitalOut myled(LED1);
//USBMIDI midi;
//USBSerial serially;

void TIM3_IRQHandler(void) // interrupt routine
{
  if(TIM3->SR & TIM_SR_UIF) // if UIF flag is set
  {
    TIM3->SR &= ~TIM_SR_UIF; // clear UIF flag
    myled=!myled; // toggle LED
  }
}

int main(void) {
  
    __TIM3_CLK_ENABLE();
 
    TIM3->CR1 &= 0; // UG used as trigger output
    TIM3->CR2 &= 0; // UG used as trigger output
    TIM3->PSC = 1000; // 
    TIM3->ARR = 10000; // 
    TIM3->EGR = TIM_EGR_UG; // reinit the counter
    TIM3->DIER = TIM_DIER_UIE; // enable update interrupts
 
    // enable timer
    TIM3->CR1 |= TIM_CR1_CEN;
 
    NVIC_SetVector(TIM3_IRQn, (uint32_t)&TIM3_IRQHandler);   
    NVIC_EnableIRQ(TIM3_IRQn); // Enable interrupt from TIM3 (NVIC level)
 
    while (1) ;
}
